***

title: assign_phone_route
slug: /reference/python/rest/fabric/resources/assign-phone-route
description: Assign a phone route to a Fabric resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Assign a phone route to a Fabric resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/{id}/phone_routes" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/{id}/phone_routes" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

result = client.fabric.resources.assign_phone_route(
    "resource-id", phone_route_id="route-uuid", handler="calling",
)
print(f"Phone route assigned: {result['id']}")
```